Bug 23016 - 749 update packages installation failed (conflicts between lib64kf5jobwidgets5-5.42.0-1.mga6.x86_64 and libkf5jobwidgets5-5.32.0-1.mga6.i586)
Summary: 749 update packages installation failed (conflicts between lib64kf5jobwidgets...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: x86_64 Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
: 23019 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-05-12 01:23 CEST by peter lawford
Modified: 2018-05-19 23:17 CEST (History)
6 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
return of urpmi --auto-update (53.28 KB, text/plain)
2018-05-12 01:25 CEST, peter lawford
Details

Description peter lawford 2018-05-12 01:23:16 CEST
Description of problem:
749 update packages installation failed (see attached document)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 peter lawford 2018-05-12 01:25:01 CEST
Created attachment 10140 [details]
return of urpmi --auto-update
Comment 2 Marja Van Waes 2018-05-12 08:51:25 CEST
Thanks for the bug report, Peter, and especcially for the attachment.

(In reply to peter lawford from comment #1)
> Created attachment 10140 [details]
> return of urpmi --auto-update

L'installation a échoué :       le fichier /usr/share/locale/en_GB/LC_MESSAGES/kjobwidgets5_qt.qm de l'installation de lib64kf5jobwidgets5-5.42.0-1.mga6.x86_64 entre en conflit avec le fichier du paquet libkf5jobwidgets5-5.32.0-1.mga6.i586
        le fichier /usr/share/locale/fr/LC_MESSAGES/kjobwidgets5_qt.qm de l'installation de lib64kf5jobwidgets5-5.42.0-1.mga6.x86_64 entre en conflit avec le fichier du paquet libkf5jobwidgets5-5.32.0-1.mga6.i586

It confuses me a bit that you seem to have a mixed x86_64 / i586 install. For which application was that needed? 

Here in cauldron, I do have some 32bit packages on my 64bit system because I use wine, but none of them is a kf5 library.

Component: New RPM package request => RPM Packages
CC: (none) => marja11
Summary: 749 update packages installation failed => 749 update packages installation failed (conflicts between lib64kf5jobwidgets5-5.42.0-1.mga6.x86_64 and libkf5jobwidgets5-5.32.0-1.mga6.i586)
Assignee: bugsquad => kde

Comment 3 Nicolas Lécureuil 2018-05-12 11:44:21 CEST
Please test new package from testing.

CC: (none) => mageia

Comment 4 peter lawford 2018-05-12 13:08:13 CEST
(In reply to Nicolas Lécureuil from comment #3)
> Please test new package from testing.

what package? I received today 765 packages!!!
Comment 5 peter lawford 2018-05-12 13:13:59 CEST
(In reply to Marja Van Waes from comment #2)
> Thanks for the bug report, Peter, and especcially for the attachment.
> 
> (In reply to peter lawford from comment #1)
> > Created attachment 10140 [details]
> > return of urpmi --auto-update
> 
> L'installation a échoué :       le fichier
> /usr/share/locale/en_GB/LC_MESSAGES/kjobwidgets5_qt.qm de l'installation de
> lib64kf5jobwidgets5-5.42.0-1.mga6.x86_64 entre en conflit avec le fichier du
> paquet libkf5jobwidgets5-5.32.0-1.mga6.i586
>         le fichier /usr/share/locale/fr/LC_MESSAGES/kjobwidgets5_qt.qm de
> l'installation de lib64kf5jobwidgets5-5.42.0-1.mga6.x86_64 entre en conflit
> avec le fichier du paquet libkf5jobwidgets5-5.32.0-1.mga6.i586
> 
> It confuses me a bit that you seem to have a mixed x86_64 / i586 install.
> For which application was that needed? 
> 
> Here in cauldron, I do have some 32bit packages on my 64bit system because I
> use wine, but none of them is a kf5 library.

I don't know; when I ran "urpmi --auto-update" I received a list of 749 (today morning 765) packages, with the i586 among
I can't update individually 765 packages: better to drop to trash my system and to buy a MacBook...
Comment 6 Nicolas Lécureuil 2018-05-12 13:31:59 CEST
"better to drop to trash my system and to buy a MacBook..."
this is not what i call a clever comment.

new packages are 

i586:
kjobwidgets-5.42.0-1.1.mga6.i586.rpm
libkf5jobwidgets5-5.42.0-1.1.mga6.i586.rpm

x86_64:
kjobwidgets-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5jobwidgets5-5.42.0-1.1.mga6.x86_64.rpm
Comment 7 Dave Hodgins 2018-05-12 14:14:43 CEST
What does it want to uninstall if you run (as root) ...
urpme libkf5jobwidgets5

The package lib64kf5jobwidgets5, not libkf5jobwidgets5 is what is normally
installed on a 64 bit system.

CC: (none) => davidwhodgins

Comment 8 peter lawford 2018-05-12 14:33:44 CEST
the bug is fixed by removing the package libkf5jobwidgets5-5.32.0-1.mga6.i586

answering to Nicolas Lecureuil, I already have a MacBook
Comment 9 Dave Hodgins 2018-05-12 15:20:12 CEST
Thanks Peter. As libkf5jobwidgets5 should not be installed on a 64 bit system
normally, marking this bug as resolved, fixed.

Resolution: (none) => FIXED
Status: NEW => RESOLVED

Comment 10 Manuel Hiebel 2018-05-12 16:04:26 CEST
*** Bug 23019 has been marked as a duplicate of this bug. ***
Comment 11 Dave Hodgins 2018-05-13 16:38:10 CEST
Reopening this bug. As discussed on irc, both the 32 bit and 64 bit libs
should be able to be present on a system.

This is needed to allow third party 32 bit applications.

If both libkf5jobwidgets5 and lib64kf5jobwidgets5 are installed prior to the
update, both should be updated, rather then blocking the update.

Similar problem with libkf5completion5 and lib64kf5completion5 as per the
German blog.

Resolution: FIXED => (none)
Status: RESOLVED => REOPENED

Comment 12 peter lawford 2018-05-13 18:46:07 CEST
(In reply to Dave Hodgins from comment #11)
> Reopening this bug. As discussed on irc, both the 32 bit and 64 bit libs
> should be able to be present on a system.
> 
> This is needed to allow third party 32 bit applications.
> 
> If both libkf5jobwidgets5 and lib64kf5jobwidgets5 are installed prior to the
> update, both should be updated, rather then blocking the update.
> 
> Similar problem with libkf5completion5 and lib64kf5completion5 as per the
> German blog.

well done Dave! I have immediately, and succesfully, reinstalled libkf5jobwidgets5:

[root@magaux alain4]# urpmi libkf5jobwidgets5       
Pour satisfaire les dépendances, les paquetages suivants vont être installés :
  Paquetage                      Version      Révision      Arch    
(média « Core 32bit Release (distrib31) »)
  libevdev2                      1.5.7        1.mga6        i586    
  libgudev1.0_0                  230          4.mga6        i586    
  libinput10                     1.7.3        1.mga6        i586    
  libmtdev1                      1.1.5        5.mga6        i586    
  libts1.0_0                     1.1          3.mga6        i586    
  libwacom2                      0.24         1.mga6        i586    
  libxcb-icccm4                  0.4.1        4.mga6        i586    
  libxcb-randr0                  1.12         2.mga6        i586    
  libxcb-shape0                  1.12         2.mga6        i586    
  libxcb-util-image0             0.4.0        2.mga6        i586    
  libxcb-util-keysyms1           0.4.0        3.mga6        i586    
  libxcb-util-renderutil0        0.3.9        4.mga6        i586    
  libxcb-util1                   0.4.0        2.mga6        i586    
  libxcb-xinerama0               1.12         2.mga6        i586    
  libxcb-xkb1                    1.12         2.mga6        i586    
  libxkbcommon0                  0.7.1        1.mga6        i586    
(média « Core 32bit Updates (distrib32) »)
  libkf5coreaddons5              5.42.0       1.mga6        i586    
  libkf5jobwidgets5              5.42.0       1.mga6        i586    
  libkf5widgetsaddons5           5.42.0       1.mga6        i586    
  libqt5core5                    5.9.4        1.1.mga6      i586    
  libqt5dbus5                    5.9.4        1.1.mga6      i586    
  libqt5eglfsdeviceintegration5  5.9.4        1.1.mga6      i586    
  libqt5eglfskmssupport5         5.9.4        1.1.mga6      i586    
  libqt5gui5                     5.9.4        1.1.mga6      i586    
  libqt5network5                 5.9.4        1.1.mga6      i586    
  libqt5widgets5                 5.9.4        1.1.mga6      i586    
  libqt5x11extras5               5.9.4        1.mga6        i586    
  libqt5xcbqpa5                  5.9.4        1.1.mga6      i586    
un espace additionnel de 38Mo sera utilisé.
9.6Mo de paquets seront récupérés.
Procéder à l'installation des 28 paquetages ? (O/n) o


installation de libqt5dbus5-5.9.4-1.1.mga6.i586.rpm libxcb-util-renderutil0-0.3.9-4.mga6.i586.rpm libxkbcommon0-0.7.1-1.mga6.i586.rpm libxcb-randr0-1.12-2.mga6.i586.rpm libwacom2-0.24-1.mga6.i586.rpm libkf5widgetsaddons5-5.42.0-1.mga6.i586.rpm libqt5core5-5.9.4-1.1.mga6.i586.rpm libqt5network5-5.9.4-1.1.mga6.i586.rpm libqt5gui5-5.9.4-1.1.mga6.i586.rpm libxcb-xinerama0-1.12-2.mga6.i586.rpm libinput10-1.7.3-1.mga6.i586.rpm libxcb-util-image0-0.4.0-2.mga6.i586.rpm libqt5xcbqpa5-5.9.4-1.1.mga6.i586.rpm libkf5coreaddons5-5.42.0-1.mga6.i586.rpm libqt5eglfsdeviceintegration5-5.9.4-1.1.mga6.i586.rpm libevdev2-1.5.7-1.mga6.i586.rpm libxcb-util1-0.4.0-2.mga6.i586.rpm libqt5eglfskmssupport5-5.9.4-1.1.mga6.i586.rpm libts1.0_0-1.1-3.mga6.i586.rpm libkf5jobwidgets5-5.42.0-1.mga6.i586.rpm libgudev1.0_0-230-4.mga6.i586.rpm libxcb-icccm4-0.4.1-4.mga6.i586.rpm libxcb-xkb1-1.12-2.mga6.i586.rpm libmtdev1-1.1.5-5.mga6.i586.rpm libxcb-shape0-1.12-2.mga6.i586.rpm libxcb-util-keysyms1-0.4.0-3.mga6.i586.rpm libqt5x11extras5-5.9.4-1.mga6.i586.rpm libqt5widgets5-5.9.4-1.1.mga6.i586.rpm depuis /var/cache/urpmi/rpms
Préparation...                   #####################################################################################################################
     1/28: libqt5core5           #####################################################################################################################
     2/28: libqt5dbus5           #####################################################################################################################
     3/28: libmtdev1             #####################################################################################################################
     4/28: libxcb-xkb1           #####################################################################################################################
     5/28: libxkbcommon0         #####################################################################################################################
     6/28: libts1.0_0            #####################################################################################################################
     7/28: libqt5network5        #####################################################################################################################
     8/28: libkf5coreaddons5     #####################################################################################################################
     9/28: libxcb-util-keysyms1  #####################################################################################################################
    10/28: libxcb-shape0         #####################################################################################################################
    11/28: libxcb-icccm4         #####################################################################################################################
    12/28: libgudev1.0_0         #####################################################################################################################
    13/28: libwacom2             #####################################################################################################################
    14/28: libxcb-util1          #####################################################################################################################
    15/28: libxcb-util-image0    #####################################################################################################################
    16/28: libevdev2             #####################################################################################################################
    17/28: libinput10            #####################################################################################################################
    18/28: libxcb-xinerama0      #####################################################################################################################
    19/28: libxcb-randr0         #####################################################################################################################
    20/28: libxcb-util-renderutil0
                                 #####################################################################################################################
    21/28: libqt5xcbqpa5         #####################################################################################################################
    22/28: libqt5gui5            #####################################################################################################################
    23/28: libqt5eglfskmssupport5
                                 #####################################################################################################################
    24/28: libqt5eglfsdeviceintegration5
                                 #####################################################################################################################
    25/28: libqt5widgets5        #####################################################################################################################
    26/28: libkf5widgetsaddons5  #####################################################################################################################
    27/28: libqt5x11extras5      #####################################################################################################################
    28/28: libkf5jobwidgets5     #####################################################################################################################
[root@magaux alain4]# 

sorry, it's in french

and:

[root@magaux alain4]# rpm -qa |grep lib64kf5jobwidgets5
lib64kf5jobwidgets5-5.42.0-1.mga6
[root@magaux alain4]#

hence, both packages can cohabit
Comment 13 Nicolas Lécureuil 2018-05-14 00:26:01 CEST
Advisory:
In some packages, library packages contained by error some translations file.
This created conflicts when installing both 32 and 64 bits rpms.

This update fixes this issue by moving the translation off the library packages.




SRPMS:
kjobwidgets-5.42.0-1.1.mga6
kcompletion-5.42.0-2.1.mga6
kunitconversion-5.42.0-1.1.mga6
kdnssd-5.42.0-1.1.mga6
knewstuff-5.42.0-1.1.mga6
kxmlrpcclient-5.42.0-1.1.mga6
kcmutils-5.42.0-1.1.mga6
ktextwidgets-5.42.0-1.1.mga6
kitemviews-5.42.0-1.1.mga6
kbookmarks-5.42.0-1.1.mga6
knewstuff-5.42.0-1.2.mga6
knotifyconfig-5.42.0-1.1.mga6
kpty-5.42.0-1.1.mga6

i586:
kjobwidgets-5.42.0-1.1.mga6.i586.rpm
libkf5jobwidgets5-5.42.0-1.1.mga6.i586.rpm
libkf5jobwidgets-devel-5.42.0-1.1.mga6.i586.rpm
kjobwidgets-debuginfo-5.42.0-1.1.mga6.i586.rpm
kcompletion-5.42.0-2.1.mga6.i586.rpm
libkf5completion5-5.42.0-2.1.mga6.i586.rpm
libkf5completion-devel-5.42.0-2.1.mga6.i586.rpm
kcompletion-debuginfo-5.42.0-2.1.mga6.i586.rpm
kunitconversion-5.42.0-1.1.mga6.i586.rpm
libkf5unitconversion5-5.42.0-1.1.mga6.i586.rpm
libkf5unitconversion-devel-5.42.0-1.1.mga6.i586.rpm
kunitconversion-debuginfo-5.42.0-1.1.mga6.i586.rpm
kdnssd-5.42.0-1.1.mga6.i586.rpm
libkf5kdnssd5-5.42.0-1.1.mga6.i586.rpm
libkf5kdnssd-devel-5.42.0-1.1.mga6.i586.rpm
kdnssd-debuginfo-5.42.0-1.1.mga6.i586.rpm
knewstuff-5.42.0-1.1.mga6.i586.rpm
libkf5newstuff5-5.42.0-1.1.mga6.i586.rpm
libkf5newstuffcore5-5.42.0-1.1.mga6.i586.rpm
libkf5newstuff-devel-5.42.0-1.1.mga6.i586.rpm
knewstuff-debuginfo-5.42.0-1.1.mga6.i586.rpm
kxmlrpcclient-5.42.0-1.1.mga6.i586.rpm
libkf5xmlrpmclient5-5.42.0-1.1.mga6.i586.rpm
libkf5xmlrpmclient-devel-5.42.0-1.1.mga6.i586.rpm
kxmlrpcclient-debuginfo-5.42.0-1.1.mga6.i586.rpm
ktextwidgets-5.42.0-1.1.mga6.i586.rpm
libkf5textwidgets5-5.42.0-1.1.mga6.i586.rpm
libkf5textwidgets-devel-5.42.0-1.1.mga6.i586.rpm
ktextwidgets-debuginfo-5.42.0-1.1.mga6.i586.rpm
kitemviews-5.42.0-1.1.mga6.i586.rpm
libkitemviews5-5.42.0-1.1.mga6.i586.rpm
libkitemviews-devel-5.42.0-1.1.mga6.i586.rpm
kitemviews-debuginfo-5.42.0-1.1.mga6.i586.rpm
kbookmarks-5.42.0-1.1.mga6.i586.rpm
libkf5bookmarks5-5.42.0-1.1.mga6.i586.rpm
libkf5bookmarks-devel-5.42.0-1.1.mga6.i586.rpm
kbookmarks-debuginfo-5.42.0-1.1.mga6.i586.rpm
knewstuff-5.42.0-1.2.mga6.i586.rpm
libkf5newstuff5-5.42.0-1.2.mga6.i586.rpm
libkf5newstuffcore5-5.42.0-1.2.mga6.i586.rpm
libkf5newstuff-devel-5.42.0-1.2.mga6.i586.rpm
knewstuff-debuginfo-5.42.0-1.2.mga6.i586.rpm
knotifyconfig-5.42.0-1.1.mga6.i586.rpm
libkf5notifyconfig5-5.42.0-1.1.mga6.i586.rpm
libkf5notifyconfig-devel-5.42.0-1.1.mga6.i586.rpm
knotifyconfig-debuginfo-5.42.0-1.1.mga6.i586.rpm
kpty-5.42.0-1.1.mga6.i586.rpm
libkf5pty5-5.42.0-1.1.mga6.i586.rpm
libkf5pty-devel-5.42.0-1.1.mga6.i586.rpm
kpty-debuginfo-5.42.0-1.1.mga6.i586.rpm

x86_64:
kjobwidgets-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5jobwidgets5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5jobwidgets-devel-5.42.0-1.1.mga6.x86_64.rpm
kjobwidgets-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
kcompletion-5.42.0-2.1.mga6.x86_64.rpm
lib64kf5completion5-5.42.0-2.1.mga6.x86_64.rpm
lib64kf5completion-devel-5.42.0-2.1.mga6.x86_64.rpm
kcompletion-debuginfo-5.42.0-2.1.mga6.x86_64.rpm
kunitconversion-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5unitconversion5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5unitconversion-devel-5.42.0-1.1.mga6.x86_64.rpm
kunitconversion-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
kdnssd-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5kdnssd5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5kdnssd-devel-5.42.0-1.1.mga6.x86_64.rpm
kdnssd-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
knewstuff-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5newstuff5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5newstuffcore5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5newstuff-devel-5.42.0-1.1.mga6.x86_64.rpm
knewstuff-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
kxmlrpcclient-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5xmlrpmclient5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5xmlrpmclient-devel-5.42.0-1.1.mga6.x86_64.rpm
kxmlrpcclient-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
ktextwidgets-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5textwidgets5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5textwidgets-devel-5.42.0-1.1.mga6.x86_64.rpm
ktextwidgets-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
kitemviews-5.42.0-1.1.mga6.x86_64.rpm
lib64kitemviews5-5.42.0-1.1.mga6.x86_64.rpm
lib64kitemviews-devel-5.42.0-1.1.mga6.x86_64.rpm
kitemviews-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
kbookmarks-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5bookmarks5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5bookmarks-devel-5.42.0-1.1.mga6.x86_64.rpm
kbookmarks-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
knewstuff-5.42.0-1.2.mga6.x86_64.rpm
lib64kf5newstuff5-5.42.0-1.2.mga6.x86_64.rpm
lib64kf5newstuffcore5-5.42.0-1.2.mga6.x86_64.rpm
lib64kf5newstuff-devel-5.42.0-1.2.mga6.x86_64.rpm
knewstuff-debuginfo-5.42.0-1.2.mga6.x86_64.rpm
knotifyconfig-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5notifyconfig5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5notifyconfig-devel-5.42.0-1.1.mga6.x86_64.rpm
knotifyconfig-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
kpty-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5pty5-5.42.0-1.1.mga6.x86_64.rpm
lib64kf5pty-devel-5.42.0-1.1.mga6.x86_64.rpm
kpty-debuginfo-5.42.0-1.1.mga6.x86_64.rpm
Comment 14 Nicolas Lécureuil 2018-05-14 00:26:41 CEST
@QA: Just install the new rpm against already available rpms and make sure there is no conflicts.
Comment 15 Morgan Leijström 2018-05-14 12:46:45 CEST
Just a very quick and sloppy test: updated what i had to
- kbookmarks-5.42.0-1.1.mga6.x86_64
- kcmutils-5.42.0-1.1.mga6.x86_64
- kcompletion-5.42.0-2.1.mga6.x86_64
- kitemviews-5.42.0-1.1.mga6.x86_64
- kjobwidgets-5.42.0-1.1.mga6.x86_64
- knewstuff-5.42.0-1.2.mga6.x86_64
- knotifyconfig-5.42.0-1.1.mga6.x86_64
- ktextwidgets-5.42.0-1.1.mga6.x86_64
- kunitconversion-5.42.0-1.1.mga6.x86_64
- kxmlrpcclient-5.42.0-1.1.mga6.x86_64
- lib64kf5bookmarks-devel-5.42.0-1.1.mga6.x86_64
- lib64kf5bookmarks5-5.42.0-1.1.mga6.x86_64
- lib64kf5completion-devel-5.42.0-2.1.mga6.x86_64
- lib64kf5completion5-5.42.0-2.1.mga6.x86_64
- lib64kf5jobwidgets-devel-5.42.0-1.1.mga6.x86_64
- lib64kf5jobwidgets5-5.42.0-1.1.mga6.x86_64
- lib64kf5kcmutils5-5.42.0-1.1.mga6.x86_64
- lib64kf5kdnssd5-5.42.0-1.1.mga6.x86_64
- lib64kf5newstuff5-5.42.0-1.2.mga6.x86_64
- lib64kf5newstuffcore5-5.42.0-1.2.mga6.x86_64
- lib64kf5notifyconfig-devel-5.42.0-1.1.mga6.x86_64
- lib64kf5notifyconfig5-5.42.0-1.1.mga6.x86_64
- lib64kf5pty5-5.42.0-1.1.mga6.x86_64
- lib64kf5textwidgets-devel-5.42.0-1.1.mga6.x86_64
- lib64kf5textwidgets5-5.42.0-1.1.mga6.x86_64
- lib64kf5unitconversion-devel-5.42.0-1.1.mga6.x86_64
- lib64kf5unitconversion5-5.42.0-1.1.mga6.x86_64
- lib64kf5xmlrpmclient5-5.42.0-1.1.mga6.x86_64
- lib64kitemviews-devel-5.42.0-1.1.mga6.x86_64
- lib64kitemviews5-5.42.0-1.1.mga6.x86_64
And no issues seen.

CC: (none) => fri

Comment 16 Dave Hodgins 2018-05-14 22:25:02 CEST
Advisory committed to svn. Validating the update.

Whiteboard: (none) => MGA6-64-OK
CC: (none) => sysadmin-bugs
Keywords: (none) => advisory, validated_update

Comment 17 Mageia Robot 2018-05-16 10:26:04 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0078.html

Status: REOPENED => RESOLVED
Resolution: (none) => FIXED

Comment 18 Thomas Backlund 2018-05-17 21:26:11 CEST
This update is broken for 2 reasons... 

typos in specs, for example:
http://svnweb.mageia.org/packages/updates/6/kjobwidgets/current/SPECS/kjobwidgets.spec?r1=1228521&r2=1228520&pathrev=1228521


meaaning:
rpm -qp --conflicts kjobwidgets-5.42.0-1.1.mga6.x86_64.rpm
lib64}kf5jobwidgets5 < 5.42.0-1.1

 and missing conflicts...


And...when you move files between packages, you need to add proper versioned conflicts between the packages on _both_ packages to ensure they update in same transaction...


Please review all srpms in this update and fix it up...

Status: RESOLVED => REOPENED
Resolution: FIXED => (none)
CC: (none) => tmb

Comment 19 Nicolas Lécureuil 2018-05-17 21:30:28 CEST
typo fixed now.

I am trying to understand the second part
Comment 20 Nicolas Lécureuil 2018-05-17 21:31:31 CEST
you mean i need to add 
+Conflicts:    %name < 5.42.0-1.1

in the lib package ?
Comment 21 Thomas Backlund 2018-05-17 21:36:17 CEST
(In reply to Nicolas Lécureuil from comment #20)
> you mean i need to add 
> +Conflicts:    %name < 5.42.0-1.1
> 
> in the lib package ?

Yes, thats the only way to ensure they get in same rpm transaction...
Comment 22 Nicolas Lécureuil 2018-05-17 21:37:11 CEST
ok. Thanks for the tips. 

I fix all this right now
Comment 23 Nicolas Lécureuil 2018-05-18 00:02:14 CEST
src.rpms:

kjobwidgets-5.42.0-1.2.mga6
kcompletion-5.42.0-2.2.mga6
kunitconversion-5.42.0-1.2.mga6
kdnssd-5.42.0-1.2.mga6
knewstuff-5.42.0-1.2.mga6
kxmlrpcclient-5.42.0-1.2.mga6
kcmutils-5.42.0-1.2.mga6
ktextwidgets-5.42.0-1.2.mga6
kitemviews-5.42.0-1.2.mga6
kbookmarks-5.42.0-1.2.mga6
knewstuff-5.42.0-1.3.mga6
knotifyconfig-5.42.0-1.2.mga6
kpty-5.42.0-1.2.mga6

Assignee: kde => qa-bugs

Thomas Backlund 2018-05-18 22:56:40 CEST

Whiteboard: MGA6-64-OK => (none)
Keywords: advisory, validated_update => (none)

Comment 24 Thomas Backlund 2018-05-19 13:11:06 CEST

You actually needs one more sets of conflicts...

The 64bit packages that now carries the translations needs to also conflict the old 32bit libs that has the translations or you can still hit file conflicts on dual arch installs
Comment 25 Nicolas Lécureuil 2018-05-19 14:22:54 CEST
do i add: 


+Conflicts:      libkf5jobwidgets5 < 5.42.0-1.1

or:

%ifarch %ix86
Conflicts:      libkf5jobwidgets5 < 5.42.0-1.1
%endif
Comment 26 Thomas Backlund 2018-05-19 15:24:58 CEST
(In reply to Nicolas Lécureuil from comment #25)
> do i add: 
> 
> 
> +Conflicts:      libkf5jobwidgets5 < 5.42.0-1.1
> 
> or:
> 
> %ifarch %ix86
> Conflicts:      libkf5jobwidgets5 < 5.42.0-1.1
> %endif

wrong arch check )


It should be (as its the 64bit that needs additional conflicts):

%ifarch x86_64
Conflicts:      libkf5jobwidgets5 < 5.42.0-1.1
%endif
Comment 27 Dave Hodgins 2018-05-19 22:26:59 CEST
As the updates were pushed as per comment 17 a new bug report should be opened
for the new packages.
Comment 28 Nicolas Lécureuil 2018-05-19 23:17:25 CEST
see bug https://bugs.mageia.org/show_bug.cgi?id=23063

Status: REOPENED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.